1. API Reference
PixVerse Platform Docs
  • Overview
    • Introduction to PixVerse API Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Fusion (Reference-to-Video) — V6 Video Reference Integration Guide
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)
    • Webhook integration
    • Get template list
    • Avatar
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Motion Control (Mimic) generation
      • Modify generation
      • Upscale Video
      • Avatar generation
      • Viral Recreation Agent
    • Image generation
      • Image template generation
      • Get Image generation
    • Get user credit balance
      GET
    • Usage Deduction Query
      POST
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get template list
      GET
    • Create Custom Voice
      POST
    • Delete Custom Voice
      DELETE
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Changelogs
    • PixVerse MCP
    • Terms of Service
    • Privacy policy
  1. API Reference

Usage Deduction Query

POST
/openapi/v2/account/billing/usage-detail

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/account/billing/usage-detail' \
--header 'Ai-trace-id: your-ai-trace-id' \
--header 'API-KEY: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "start_time": "2026-06-03 00:00:00",
  "end_time": "2026-07-02 23:59:59",
  "creation_type": [],
  "limit": 2,
  "cursor":""
}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "items": [
            {
                "record_id": "123",
                "api_key_name": "",
                "video_id": "xx",
                "image_id": null,
                "creation_type": "text_to_video",
                "event_type": "consume",
                "credit_source": "package",
                "credits": 45,
                "created_at": "2026-08-05 10:42:41",
                "model": "v6",
                "quality": "720p",
                "billing_duration_seconds": 0,
                "sound_effect_switch": false,
                "lip_sync_switch": false,
                "generate_multi_shot_clip_switch": false,
                "generate_audio_switch": true
            },
        ],
        "next_cursor": "",
        "has_more": false
    }
Previous
Get user credit balance
Next
Upload Image